#ifndef LIBUSB_WRAPPER_H_
#define LIBUSB_WRAPPER_H_

#include <libusb-1.0/libusb.h>
#include <stdlib.h>
#include <stdio.h>
#include <stdbool.h>

void usbinit(libusb_context** context_ptr);

void usbclose(libusb_context* context);

ssize_t getListDevices(libusb_context* context, libusb_device***list_ptr);

void displayDevices(libusb_context *context);
void displayDevicesMore(libusb_context *context);

void displayDeviceEndpoints ();

#endif

